## osptoolkit 3.4.2

=== enroll/Makefile ===
#
# OSP Enroll Makefile
#

# OSP direcory
INCDIR = ../include
LIBDIR = ../lib
BINDIR = ../bin

# OSP library
OSPLIB = -L$(LIBDIR) -losptk

# For OpenSSL:
SSLINCDIR = ../crypto
SSLLIBDIR = ../lib
SSLLIBS = -L$(SSLLIBDIR) -lssl -lcrypto

# Compiler tools
CC = gcc

# WARNING !!
# If not using gcc for compiling the toolkit and instead using the Sun Compiler,
# please comment the line below for proper compilation.
GCCFLAGS = -Wall

# Macro definition
MFLAGS = -DOPENSSL_NO_KRB5 -D_POSIX_THREADS -D_REENTRANT -DOSP_SDK -DSOLARIS

# Debug flags
# This is for DEBUG mode of compilation
#DFLAGS = -g -DOSPC_DEBUG=1
# This is for PRODUCTION mode of compilation
DFLAGS = -O

# Compile flags
CFLAGS = $(MFLAGS) $(DFLAGS) $(GCCFLAGS)

# Include flags
IFLAGS = -I./ -I$(INCDIR) -I$(SSLINCDIR)

# Library flags
LIBS = $(OSPLIB) $(SSLLIBS) -lpthread -ldl -lm -lnsl -lsocket
LIBS_LINUX = $(OSPLIB) $(SSLLIBS) -lpthread -ldl -lm

################################################################################

ENOBJS = osptnepinit.o osptnepenroll.o osptnep.o osptneputil.o

ENROLL = $(BINDIR)/enroll

.SUFFIXES: .o .c

.c.o:
	$(PURIFY) $(CC) $(CFLAGS) $(IFLAGS) -c $(<)

default: $(ENOBJS)
	$(PURIFY) $(CC) -o $(ENROLL) $(ENOBJS) $(LIBS)

linux: $(ENOBJS)
	$(PURIFY) $(CC) -o $(ENROLL) $(ENOBJS) $(LIBS_LINUX)

clean:
	rm -f $(ENROLL) $(ENOBJS)

=== src/Makefile ===
#
# OSP Library Makefile
#

# Default install path
INSTALL_PATH = /usr/local

# OSP directory
INCDIR = ../include
LIBDIR = ../lib

# SSL library selection 
# For OpenSSL
SSLINCDIR = ../crypto
SSLOBJ = ospopenssl.o

# Compiler tools
CC = gcc
AR = ar

# WARNING !!
# If not using gcc for compiling the toolkit and instead using the Sun Compiler,
# please comment the line below for proper compilation.
GCCFLAGS = -Wall -D_GNU_SOURCE -fPIC

# Macro definition
MFLAGS = -DOPENSSL_NO_KRB5 -D_POSIX_THREADS -D_REENTRANT -DOSP_SDK -DOSP_ALLOW_DUP_TXN -DOSP_NO_DELETE_CHECK

# Debug flags
# This is for DEBUG mode of compilation
# DFLAGS = -g -DOSPC_DEBUG
# This is for PRODUCTION mode of compilation
DFLAGS = -O

# Compile flags
CFLAGS = $(MFLAGS) $(DFLAGS) $(GCCFLAGS)

# Include flags
IFLAGS = -I$(SSLINCDIR) -I$(INCDIR)

################################################################################

OSPOBJS = osppkcs1.o osppkcs8.o osppkcs7.o ospcryptowrap.o ospasn1ids.o \
          ospasn1object.o ospx509.o ospasn1.o ospasn1primitives.o \
          ospasn1parse.o ospcrypto.o osptnlog.o ospsecssl.o ospsecurity.o \
          osplist.o osphttp.o ospxml.o ospmime.o ospprovider.o \
          ospproviderapi.o ospsocket.o ospcomm.o osputils.o ospmsgque.o \
          ospmsginfo.o osptransapi.o osptrans.o ospinit.o \
          ospmsgelem.o ospdest.o ospusage.o ospmsgattr.o ospcallid.o \
          osptoken.o ospmsgutil.o ospmsgdesc.o ospostime.o ospxmltype.o \
          ospxmlparse.o ospxmlattr.o ospxmlutil.o ospxmlenc.o ospxmlelem.o \
          ospusageind.o ospstatus.o ospauthreq.o ospauthrsp.o ospauthind.o \
          ospauthcnf.o ospreauthreq.o ospreauthrsp.o ospusagecnf.o ospb64.o \
          ospbfr.o osptokeninfo.o ospfail.o ospaltinfo.o ospssl.o \
          ospstatistics.o osptnprobe.o ospaudit.o osptnaudit.o osptransids.o \
          ospciscoext.o ospcapind.o ospcapcnf.o $(SSLOBJ)
          
OSPLIB = $(LIBDIR)/libosptk.a

.SUFFIXES: .o .c 

.c.o:
	$(CC) $(CFLAGS) $(CRYPTOCFLAGS) $(IFLAGS) -c $(<)

default:
	@ echo 'Use - make build, to build the osp library'
	@ echo ""
	@ echo 'Use - make install, to install the osp library'
	@ echo '      make install will install the files in: $(INSTALL_PATH)'
	@ echo '      Modify the INSTALL_PATH variable to install the files at a different location'
	@ echo '      make install might require root previliges'

build: $(OSPLIB)

$(OSPLIB): $(OSPOBJS)
	$(AR) -r $(OSPLIB) $(OSPOBJS)

install: build
	install -d $(INSTALL_PATH)/include/osp
	cp $(INCDIR)/osp/* $(INSTALL_PATH)/include/osp/
	install -d $(INSTALL_PATH)/lib
	cp $(OSPLIB) $(INSTALL_PATH)/lib/

clean:
	rm -f $(OSPLIB) $(OSPOBJS)

# DO NOT DELETE

## osptoolkit 4.11.3+dfsg

=== debian/changelog ===
osptoolkit (4.11.3+dfsg-1) unstable; urgency=medium

  * Update for upstream OSP Toolkit 4.11.3 (Closes: #786975, #804623)
  * Fix copyright issue.
  * Change docs to osptoolkit.docs.
  * Update osptoolkit.txt.
  * Remove .dirs files.
  * Update Makefile to create install directories.
  * Update test_app.c.patch for Forwarded.

  [ Mattia Rizzolo ]
  * Remove -dbg package, nowadays we have automatic -dbgsym.
  * Convert d/rules to use the dh(1) sequencer.
  * Rename versioned -dev package to unversioned one.

 -- TransNexus <support@transnexus.com>  Fri, 24 Jun 2016 05:46:43 -0400

osptoolkit (3.4.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761782.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:01:59 +0000

osptoolkit (3.4.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add SSL libraries to enroll target in Makefile. (Closes: #713639).
    + Also fix pthread linkeage.
  * Remove dependent libs from .la file.
    + Fix taken from Ubuntu.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 12 Jul 2013 14:00:07 -0400

osptoolkit (3.4.2-1) unstable; urgency=low

  * Initial Release (Closes: Bug#468110).
  * Added a new Makefile under the main directory to generate the packages.
  * Modified bad OSPC_OSNULL statements to avoid compile warning messages.
  * Modified char to const char to avoid compile warning messages.

 -- TransNexus, Inc. <support@transnexus.com>  Sun, 30 Dec 2007 20:37:26 -0500

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

version=4.11.3
major=4

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) build VERSION="$(version)" MAJOR="$(major)" ADDFLAGS="$(addflags)"
	$(MAKE) enroll VERSION="$(version)" MAJOR="$(major)" ADDFLAGS="$(addflags)"
	$(MAKE) test VERSION="$(version)" MAJOR="$(major)" ADDFLAGS="$(addflags)"

override_dh_auto_clean:
	$(MAKE) VERSION="$(version)" MAJOR="$(major)" clean

override_dh_auto_install:
	# Add here commands to install the package into debian/osptoolkit
	$(MAKE) VERSION="$(version)" MAJOR="$(major)" DESTDIR=$(CURDIR)/debian/osptoolkit install-bin

	# Add here commands to install the package into debian/libosptk
	$(MAKE) VERSION="$(version)" MAJOR="$(major)" DESTDIR=$(CURDIR)/debian/libosptk$(major) install-lib

	# Add here commands to install the package into debian/libosptk-dev
	$(MAKE) VERSION="$(version)" MAJOR="$(major)" DESTDIR=$(CURDIR)/debian/libosptk-dev install-dev

## osptoolkit 4.13.0

=== src/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 GCCFLAGS = -Wall -D_GNU_SOURCE -fPIC
 
 # Macro definition
-MFLAGS = -DOPENSSL_NO_KRB5 -D_POSIX_THREADS -D_REENTRANT -DOSP_SDK -DOSP_ALLOW_DUP_TXN -DOSP_NO_DELETE_CHECK
+MFLAGS = -DOPENSSL_NO_KRB5 -D_POSIX_THREADS -D_REENTRANT -DOSP_SDK -DOSP_ALLOW_DUP_TXN -DOSP_NO_DELETE_CHECK -DOSP_SSL_VERIFY_NONE
 
 # Debug flags
 # This is for DEBUG mode of compilation
@@ -53,7 +53,7 @@
           ospauthcnf.o ospreauthreq.o ospreauthrsp.o ospusagecnf.o ospb64.o \
           ospbfr.o osptokeninfo.o ospfail.o ospaltinfo.o ospssl.o \
           ospstatistics.o osptnprobe.o ospaudit.o osptnaudit.o osptransids.o \
-          ospciscoext.o ospcapind.o ospcapcnf.o $(SSLOBJ)
+          ospciscoext.o ospcapind.o ospcapcnf.o ospstir.o $(SSLOBJ)
           
 OSPLIB = $(LIBDIR)/libosptk.a
 
@@ -77,7 +77,7 @@
 
 install: build
 	install -d $(INSTALL_PATH)/include/osp
-	cp $(INCDIR)/osp/* $(INSTALL_PATH)/include/osp/
+	cp $(INCDIR)/osp/*.h $(INSTALL_PATH)/include/osp/
 	install -d $(INSTALL_PATH)/lib
 	cp $(OSPLIB) $(INSTALL_PATH)/lib/

=== test/Makefile ===
#
# OSP Test Applicatopn Makefile
#

# OSP direcory
INCDIR = ../include
LIBDIR = ../lib
BINDIR = ../bin

# OSP library
OSPLIB = -L$(LIBDIR) -losptk

# For OpenSSL:
SSLINCDIR = ../crypto
SSLLIBDIR = ../lib
SSLLIBS = -L$(SSLLIBDIR) -lssl -lcrypto

# Compiler tools
CC = g++

# WARNING !!
# If not using gcc for compiling the toolkit and instead using the Sun Compiler,
# please comment the line below for proper compilation.
GCCFLAGS = -Wall

# Macro definition
MFLAGS = -DOPENSSL_NO_KRB5 -D_POSIX_THREADS -D_REENTRANT -DOSP_SDK

# Debug flags
# This is for DEBUG mode of compilation
#DFLAGS = $(OSPTNLOGDEBUG) -g -DOSPC_DEBUG=1
# This is for PRODUCTION mode of compilation
DFLAGS = $(OSPTNLOGDEBUG) -O

# Compile flags
CFLAGS = $(MFLAGS) $(DFLAGS) $(GCCFLAGS) $(PROFILE)

# Include flags
IFLAGS = -I./ -I$(INCDIR) -I$(SSLINCDIR)

# Library flags
LIBS = $(OSPLIB) $(SSLLIBS) -lpthread -ldl -lm -lnsl -lsocket -lmtmalloc $(PROFILELIB)
LIBS_LINUX = $(OSPLIB) $(SSLLIBS) -lpthread -ldl -lm $(PROFILELIB)

################################################################################

TESTOBJS = nonblocking.o syncque.o test_app.o

TESTAPP = $(BINDIR)/test_app

.SUFFIXES: .o .c

.c.o:
	$(PURIFY) $(CC) $(CFLAGS) $(IFLAGS) -c $(<)

default: $(TESTOBJS)
	$(PURIFY) $(CC) -o $(TESTAPP) $(TESTOBJS) $(LFLAGS) $(LIBS) $(PROFILE)

linux: $(TESTOBJS)
	$(PURIFY) $(CC) -o $(TESTAPP) $(TESTOBJS) $(LFLAGS) $(LIBS_LINUX) $(PROFILE)

clean :
	rm -f $(TESTAPP) $(TESTOBJS)

=== debian/changelog ===
osptoolkit (4.13.0-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:10:09 +1100

osptoolkit (4.13.0-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:33:05 +0000

osptoolkit (4.13.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063187

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 19:07:12 +0000

osptoolkit (4.13.0-1) unstable; urgency=medium

  * New upstream release
  * Fix FTBFS with openssl 1.1.0 (Closes: #828482).
  * Fix non-floating-point argument in '__builtin_isana' (Closes: #830444).
  * Update debhelper compatibility level from 9 to 10.

 -- TransNexus <support@transnexus.com>  Mon, 13 Feb 2017 04:40:51 -0500

=== debian/control ===
Source: osptoolkit
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: TransNexus <support@transnexus.com>
Uploaders: Di-Shi Sun <di-shi@transnexus.com>
Section: utils
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 9), libssl-dev, libtool, libtool-bin, docbook-to-man
Standards-Version: 3.9.8
Homepage: https://sourceforge.net/projects/osp-toolkit

Package: osptoolkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssl
Description: Open source client side development kit for Open Settlement Protocol
 The Open Settlement Protocol (OSP) standard defined by the European
 Telecommunications Standards Institute (ETSI TS 101 321) www.etsi.org.
 .
 The OSP Toolkit is an open source implementation of the OSP peering protocol
 and is freely available from www.sourceforge.net. It enables applications for
 secure multi-lateral peering.
 .
 This package contains OSP Toolkit documentation, enroll and test tools.
 .
 The enroll program is a utility application for establishing a trusted
 relationship between an OSP client and OSP servers.

Package: libosptk4t64
Provides: ${t64:Provides}
Replaces: libosptk4
Breaks: libosptk4 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OSP Toolkit shared library
 The Open Settlement Protocol (OSP) standard defined by the European
 Telecommunications Standards Institute (ETSI TS 101 321) www.etsi.org.
 .
 The OSP Toolkit is an open source implementation of the OSP peering protocol
 and is freely available from www.sourceforge.net. It enables applications for
 secure multi-lateral peering.
 .
 libosptk run-time shared library needed by OSP client end applications that
 use OSP Toolkit.

Package: libosptk-dev
Architecture: any
Section: libdevel
Depends: libosptk4t64 (= ${binary:Version}), ${misc:Depends}
Conflicts: libosptk3-dev
Description: OSP Toolkit development library and header files
 The Open Settlement Protocol (OSP) standard defined by the European
 Telecommunications Standards Institute (ETSI TS 101 321) www.etsi.org.
 .
 The OSP Toolkit is an open source implementation of the OSP peering protocol
 and is freely available from www.sourceforge.net. It enables applications for
 secure multi-lateral peering.
 .
 libosptk development library and header files for building OSP client end
 applications with OSP Toolkit.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-version=4.11.3
+version=4.13.0
 major=4
 
 %:
@@ -23,7 +23,7 @@
 	$(MAKE) VERSION="$(version)" MAJOR="$(major)" DESTDIR=$(CURDIR)/debian/osptoolkit install-bin
 
 	# Add here commands to install the package into debian/libosptk
-	$(MAKE) VERSION="$(version)" MAJOR="$(major)" DESTDIR=$(CURDIR)/debian/libosptk$(major) install-lib
+	$(MAKE) VERSION="$(version)" MAJOR="$(major)" DESTDIR=$(CURDIR)/debian/libosptk$(major)t64 install-lib
 
 	# Add here commands to install the package into debian/libosptk-dev
 	$(MAKE) VERSION="$(version)" MAJOR="$(major)" DESTDIR=$(CURDIR)/debian/libosptk-dev install-dev

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg// \
http://sf.net/osp-toolkit/ OSPToolkit-(.+)\.tar\.gz debian uupdate
